# $Revision: 1.15 $, $Date: 2010/05/14 16:11:43 $
%define		plugin	check_poldek
Summary:	Nagios plugin to check updates of poldek based systems
Summary(pl.UTF_8):	Wtyczka Nagiosa sprawdzająca aktualizacje systemów używających poldka
Name:		nagios-plugin-%{plugin}
Version:	0.5
Release:	1
License:	MIT
Group:		Networking
Source0:	http://github.com/pawelz/nagios-check_poldek/tarball/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f1b67d7640f1c1558e6e99838b66a331
URL:		http://github.com/pawelz/nagios-check_poldek
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.552
Requires:	grep
Requires:	nagios-common
Requires:	poldek
Requires:	python-modules
Requires:	sed
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins
%define		cachedir	/var/cache/check_poldek

%description
Nagios plugin to check updates of poldek based systems.

%description -l pl.UTF-8
Wtyczka Nagiosa sprawdzająca aktualizacje systemów używających poldka.

%prep
%setup -qc
mv */* .

cat > nagios.cfg <<'EOF'
# Usage:
# %{plugin}
define command {
	command_name    %{plugin}
	command_line    %{plugindir}/%{plugin} --cache %{cachedir} -c $ARG1$ -w $ARG2$
}
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir},%{cachedir}}
install -p %{plugin}.py $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -a nagios.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- nagios-nrpe
%nagios_nrpe -a %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%triggerun -- nagios-nrpe
%nagios_nrpe -d %{plugin} -f %{_sysconfdir}/%{plugin}.cfg

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}
%dir %attr(775,root,nagios) %{cachedir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_poldek.spec,v $
Revision 1.15  2010/05/14 16:11:43  pawelz
- up to 0.5

Revision 1.14  2010/05/13 23:19:55  sparky
- BR: rpm-pythonprov

Revision 1.13  2010/05/11 17:20:55  pawelz
- %post scriptlet that needs network access was bad idea
- rel 2

Revision 1.12  2010/05/11 14:55:37  pawelz
- use nagios user for %post
- up to 0.4

Revision 1.11  2010/05/11 13:57:14  pawelz
- fetch poldek indices in %post
- defined %cachedir macro for /var/cache/check_poldek
- sorted deps

Revision 1.10  2010/05/11 13:21:33  pawelz
- of course it requires poldek

Revision 1.9  2010/05/11 11:25:40  pawelz
- correct arguments for check_poldek
- R: grep, sed (used by triggers)

Revision 1.8  2010/05/11 10:44:31  pawelz
- up to 0.3 (0.2 was broken)
- TODO entry moved to http://wiki.github.com/pawelz/nagios-check_poldek/wishlist

Revision 1.7  2010/05/11 09:50:11  pawelz
- R: python-modules

Revision 1.6  2010/05/11 09:47:42  pawelz
- rel 1
- better description

Revision 1.5  2010/05/11 09:13:40  pawelz
- up to 0.2
- some TODOs done (cachedir, unified cmdline args)

Revision 1.4  2010/03/18 11:16:23  glen
- add nagios nrpe config fill via trigger

Revision 1.3  2010/02/26 17:57:45  pawelz
- PLD linux also in pl

Revision 1.2  2010/02/26 17:50:11  glen
- pld linux

Revision 1.1  2010/02/26 17:44:09  pawelz
- initial
